/**
 * customizer.js
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).text( to );
		} );
	} );

	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );

	// Header text color.
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' === to ) {
				$( '.site-title a, .site-description' ).css( {
					'clip': 'rect(1px, 1px, 1px, 1px)',
					'position': 'absolute'
				} );
			} else {
				$( '.site-title a, .site-description' ).css( {
					'clip': 'auto',
					'position': 'relative'
				} );
				$( '.site-title,.site-description,.navbar-default .navbar-nav > li > a ').css( {
					'color': to
				} );
				
			}
		} );
	} );

	wp.customize( 'travel_tour_logo_size', function( value ) {
		value.bind( function( to ) {
			$( '.logo-nav .site-title' ).css( 'font-size', ( to / 1.5 ) + "px" );
			$( '.logo-nav img' ).css( 'height', to + "px" );
		} );
	} );

	// Site title font family 
	wp.customize( 'travel_tour_site_identity_font_family', function( value ) {
		value.bind( function( to ) {
			$("head").append("<link href='https://fonts.googleapis.com/css?family=" + to + ":200,300,400,500,600,700,800,900|' rel='stylesheet' type='text/css'>");
			$( '.logo-nav .site-title' ).css( 'font-family', to );
		} );
	} );

} )( jQuery );
